Package org.python.core

# Enum PyFloat.Format

java.lang.Object
java.lang.Enum<PyFloat.Format>
org.python.core.PyFloat.Format

All Implemented Interfaces:
  `Serializable`, `Comparable<PyFloat.Format>`, `java.lang.constant.Constable`

Enclosing class:
  PyFloat

public static enum PyFloat.Format extends Enum<PyFloat.Format>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BE`
`LE`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`String`
`format()`
`static PyFloat.Format`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PyFloat.Format[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final PyFloat.Format UNKNOWN

### BE

public static final PyFloat.Format BE

### LE

public static final PyFloat.Format LE

## Method Details

### values

public static PyFloat.Format[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PyFloat.Format valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### format

public String format()